#!/usr/bin/perl

use strict;
use warnings;

use utf8;

use File::Find;

# first arg = source folder; second arg = destination folder

# @ARGV = ("/Volumes/NIVol6/Users/ni/Documents/Backup/Lettres/");

my $startfolder = shift;

my @files;
find( \&macfind, $startfolder );
binmode (STDOUT, ":utf8");

my @classic_nisus_files;
for (@files) {
	next if -d $_;
	my $type =  `GetFileInfo -t "$_"`;
	$type =~ s/["\n]//g;
	my $creator =  `GetFileInfo -c "$_"`;
	$creator =~ s/["\n]//g;
	if ($type eq "TEXT" && $creator eq "NISI") {
		push (@classic_nisus_files, $_);
	}
}


print join ("\n", @classic_nisus_files);


#########

sub macfind {
	my $file = $File::Find::name;
 	push( @files, $file ) unless $file =~ /\/\.[^\/]*$/;
}
